Package org.apache.felix.http.base.internal.runtime.dto

# Class PreprocessorDTOBuilder

java.lang.Object
org.apache.felix.http.base.internal.runtime.dto.PreprocessorDTOBuilder

public final class PreprocessorDTOBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`PreprocessorDTOBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull org.osgi.service.servlet.runtime.dto.PreprocessorDTO`
`build(@NotNull PreprocessorInfo info, int reason)`
Build a preprocessor DTO from a filter info

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreprocessorDTOBuilder

public PreprocessorDTOBuilder()

## Method Details

### build

@NotNull public static @NotNull org.osgi.service.servlet.runtime.dto.PreprocessorDTO build(@NotNull @NotNull PreprocessorInfo info, int reason)
Build a preprocessor DTO from a filter info

Parameters:
  `info` - The preprocessor info
  `reason` - The reason for the failure or -1 if the preprocessor was registered successfully
Returns:
  A preprocessor DTO